Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class ChecksimPlanEvaluation

    java.lang.Object
      ix.iplan.ChecksimPlanEvaluation

All Implemented Interfaces:
  PlanEvaluation

    public class ChecksimPlanEvaluation

extends java.lang.Object
implements PlanEvaluation

A plan-evaluation that runs the plan-checking simulator. It's also an illustration of an evaluation that's just a place-holder until the user requests that the actual evaluation be produced. The value is initially "run". The simulator isn't run until the user requests the details. Then the simulator's output is displayed in a new window, and the value becomes either "ok" or "n problems", where n is the number of problems found by the simulator. If the details are requested again, the simulator's output (which was saved) is displayed again.

Field Summary
`(package private) Ip2` | `ip2`
`(package private) java.lang.String` | `nextStep`
`(package private) IPlanOptionManager.Opt` | `option`
`(package private) java.lang.String` | `simOutput`

Constructor Summary
`ChecksimPlanEvaluation(Ip2 ip2, java.lang.String optionName)`

Method Summary
`void` | `detailsRequested()` Tells the evaluation that the user has requested more information.
`java.lang.Object` | `getValue()` Returns the current value of this evaluation.
`boolean` | `hasDetails()` Indicates whether or not more information is available if the used requests it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ip2

    Ip2 ip2

### option

    IPlanOptionManager.Opt option

### nextStep

    java.lang.String nextStep

### simOutput

    java.lang.String simOutput

Constructor Detail

### ChecksimPlanEvaluation

    public ChecksimPlanEvaluation(Ip2 ip2,
                                  java.lang.String optionName)

Method Detail

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `PlanEvaluation`
  Returns the current value of this evaluation. Note that the value may change after the user requests more information.

  Specified by:
    `getValue` in interface `PlanEvaluation`
  See Also:
    `PlanEvaluation.detailsRequested()`

### hasDetails

    public boolean hasDetails()

  Description copied from interface: `PlanEvaluation`
  Indicates whether or not more information is available if the used requests it.

  Specified by:
    `hasDetails` in interface `PlanEvaluation`
  See Also:
    `PlanEvaluation.detailsRequested()`

### detailsRequested

    public void detailsRequested()

  Description copied from interface: `PlanEvaluation`
  Tells the evaluation that the user has requested more information. For some evaluations, the work will not be done until this method is called. Until then, the value returned by `PlanEvaluation.getValue()` will just be a place-holder that indicates that more information is available. This method will then typically change that value to show the real result of the evalutaion.

  It is recommended that any evaluations that require a substantial amount of computation be handled in that delayed, "when requested" fashion.

  Specified by:
    `detailsRequested` in interface `PlanEvaluation`
  See Also:
    `PlanEvaluation.hasDetails()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD